/****** Object:  StoredProcedure [dbo].[spRisikogruppeNormalAnlegen]    Script Date: 11.10.2019 14:55:14 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO


ALTER PROCEDURE [dbo].[spRisikogruppeNormalAnlegen] 
  @INR  nvarchar(3),
  @BDate datetime,
  @SPID int
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
INSERT INTO tabKN_Risiko (KNEID, RNR, KNID, GBR_Quote, RGrund, SPID)
SELECT        KNE.KNEID, KNE.KNEID AS Expr1, V.KNID, V.GBR_Quote, 'KNE' AS RGrund, @SPID AS SPID
FROM            _tmpKNE AS KNE INNER JOIN
                         tab_KNE_KN AS V ON KNE.KNEID = V.KNEID LEFT OUTER JOIN
                         tabKN_Risiko AS KNR ON V.KNID = KNR.KNID AND V.KNEID = KNR.RNR
WHERE        (KNR.RNR IS NULL) AND (KNR.KNID IS NULL) AND (KNR.SPID IS NULL) AND (KNE.INR = @INR) AND (KNE.Bdate = @BDate) and KNE.SPID = @SPID;
END
GO

/****** Object:  UserDefinedFunction [dbo].[EinzelExportXLS_Basis]    Script Date: 04.12.2019 18:03:02 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

ALTER FUNCTION [dbo].[EinzelExportXLS_Basis] 
(
    @INSTNR nvarchar(3),
    @BDate datetime,
	@SPID int 
)
RETURNS TABLE
AS
RETURN
(	
SELECT KNE.INR, KNE.BLZ, KNE.Bdate AS Bestandsdatum, KNE.KNE, KNE.kne_identnr, KNE.kne_wv, 
KNE.kne_externe_kredite, KNE.kne_interne_kredite, kne_Bonitaet, kne_Ueberziehungsgenehmigungen, 
KNE.kne_wv_verbnr, KNE.kne_berater, KNE.kne_beruf_branche, KNE.kne_gesamtkreditvolumen, KNE.kne_Inanspruchnahme, 
Kne_Guthaben, kne_Realkreditvolumen_in, kne_Personalkreditvolumen_in, kne_PKV_SPG_in,   
kne_Kreditueberschreitung, KNE.KNE_Name, KNE.kne_Darlehensrueckstand, KNE.kne_Risikoklasse, 
kne_blankokreditvolumen_in, kne_Kommunalkreditvolumen_in, kne_Kompensationskreditvolumen_in, kne_freier_anteil_in, 
kne_wirt_anteil_in, kne_Realkreditvolumen_wi, kne_Personalkreditvolumen_wi, kne_blankokreditvolumen_wi, 
kne_Kommunalkreditvolumen_wi, kne_Kompensationskreditvolumen_wi, kne_freier_anteil_wi, kne_wirt_anteil_wi, 
kne_ewb_e_btrg_janf, kne_ewb_e_btrg_neu, kne_ewb_e_btrg_zugang, kne_ewb_e_afls_btrg, kne_ewb_e_absg_ind_btrg,
kne_ewb_e, kne_ewb_e_absg_dir_btrg, kne_ewb_v_btrg_janf, kne_ewb_v_btrg_neu, kne_ewb_v_btrg_zugang, kne_ewb_v_afls_btrg,
kne_ewb_v_absg_ind_btrg, kne_ewb_v, kne_ewb_v_absg_dir_btrg, kne_ewb_Veraenderung, 
KNE.kne_kreditvolumen_az01, KNE.KNE_Kreditvolumen_az2, KNE.kne_kreditvolumen_az5, 
KNE.kne_kreditvolumen_az6, KNE.kne_kreditvolumen_az7, KNE.kne_kreditvolumen_derivate, 
KNE.kne_kreditvolumen_wertpapiere, KNE.kne_kreditvolumen_fw_kredite, KNE.kne_kreditvolumen_geldhandel, 
KNE.kne_kreditvolumen_wp_leihe, KNE.kne_kreditvolumen_akkreditive, KNE.kne_kreditvolumen_beteiligung, 
KNE.kne_kreditvolumen_so_az9, KNE.kne_kreditvolumen_kommunal, KNE.kne_kreditvolumen_kreditkarten, 
KNE.kne_gesamtkreditvolumen_not, KNE.kne_meta_anteil_kreditvolumen, KNE.kne_meta_anteil_inanspruchnahme, 
KNE.kne_bewilligungsvolumen_neu, KN.KN, KN.KN_Identnr, KN.kn_name, KN.kn_berater, KN.kn_wv, KN.kn_wv_verbnr, 
KN.kn_beruf_branche, KN.kn_wirtschaftszweig, KN.kn_beruf, KN.kn_strasse, KN.kn_haus_nr, KN.kn_post_erg, 
KN.kn_postleit, KN.kn_ort, KN.kn_land, KN.kn_ortskenn, KN.kn_g_verb_s, V.GBR_Quote AS kn_gbr_quote, 
KN.kn_kundentyp, KN.kn_o_rechts, KN.kn_pers_art, KN.kn_pers_unterart, KN.kn_rechtl_s, KN.kn_kz_organ, 
KN.kn_kusydsgv, KN.kn_org_bankgrp_ausl, KN.kn_org_bankgrp_inl, KN.kn_org_einlagen_ki_kz, 
KN.kn_rating_methode, KN.kn_rating_note, KN.kn_rating_status, KN.kn_rating_ueberschreibung, 
KN.kn_rating_kennung_stp, KN.kn_rating_datum, [_tmpSegmente1Bis7].kn_kl_segment_1, 
[_tmpSegmente1Bis7].kn_kl_segment_2, [_tmpSegmente1Bis7].kn_kl_segment_3, 
[_tmpSegmente1Bis7].kn_kl_segment_4, [_tmpSegmente1Bis7].kn_kl_segment_5, 
[_tmpSegmente1Bis7].kn_kl_segment_6, [_tmpSegmente1Bis7].kn_kl_segment_7, 
KN.kn_bonitaet, KN.kn_risikoklasse, 
Round(kn.kn_saldo_umsatzlos*[GBR_Quote],0) AS kn_saldo_umsatzlos, 
KN.kn_kz_g_m_kred, 
Round(kn.kn_blankokreditvolumen_in*[GBR_Quote],0) AS kn_blankokreditvolumen_in, 
Round(kn.kn_blankokreditvolumen_wi*[GBR_Quote],0) AS kn_blankokreditvolumen_wi, 
Round(kn.kn_personalkreditvolumen_in*[GBR_Quote],0) AS kn_personalkreditvolumen_in, 
Round(kn.kn_personalkreditvolumen_wi*[GBR_Quote],0) AS kn_personalkreditvolumen_wi, 
Round(kn.kn_realkreditvolumen_in*[GBR_Quote],0) AS kn_realkreditvolumen_in, 
Round(kn.kn_realkreditvolumen_wi*[GBR_Quote],0) AS kn_realkreditvolumen_wi, 
Round(kn.kn_kommunalkreditvolumen_in*[GBR_Quote],0) AS kn_kommunalkreditvolumen_in, 
Round(kn.kn_kommunalkreditvolumen_wi*[GBR_Quote],0) AS kn_kommunalkreditvolumen_wi, 
Round(kn.kn_freier_anteil_in*[GBR_Quote],0) AS kn_freier_anteil_in, 
Round(kn.kn_freier_anteil_wi*[GBR_Quote],0) AS kn_freier_anteil_wi, 
Round(kn.KN_wirt_anteil_in*[GBR_Quote],0) AS KN_wirt_anteil_in, 
Round(kn.KN_wirt_anteil_wi*[GBR_Quote],0) AS KN_wirt_anteil_wi, 
Round(kn.kn_komp_anteil_in*[GBR_Quote],0) AS kn_komp_anteil_in, 
Round(kn.kn_komp_anteil_wi*[GBR_Quote],0) AS kn_komp_anteil_wi, 
Round(kn.kn_gesamtkreditvolumen*[GBR_Quote],0) AS kn_gesamtkreditvolumen,
Round(kn.kn_Inanspruchnahme*[GBR_Quote],0) AS kn_Inanspruchnahme, 
Round(kn.kn_bewilligtes_darlehen_az6_neu*[GBR_Quote],0) AS kn_bewilligtes_darlehen_az6_neu, 
Round(kn.kn_ueberziehung_90*[GBR_Quote],0) AS kn_ueberziehung_90, 
Round(kn.kn_gutschriftensumme_e_v*[GBR_Quote],0) AS kn_gutschriftensumme_e_v, 
Round(kn.kn_meta_anteil_inanspruchnahme*[GBR_Quote],0) AS kn_meta_anteil_inanspruchnahme, 
Round(kn.kn_meta_anteil_kreditvolumen*[GBR_Quote],0) AS kn_meta_anteil_kreditvolumen, 
Round(kn.kn_kreditvolumen_derivate*[GBR_Quote],0) AS kn_kreditvolumen_derivate, 
Round(kn.kn_kreditvolumen_wertpapiere*[GBR_Quote],0) AS kn_kreditvolumen_wertpapiere, 
Round(kn.kn_kreditvolumen_wp_leihe*[GBR_Quote],0) AS kn_kreditvolumen_wp_leihe, 
Round(kn.kn_kreditvolumen_geldhandel*[GBR_Quote],0) AS kn_kreditvolumen_geldhandel, 
Round(kn.kn_kreditvolumen_fw_kredite*[GBR_Quote],0) AS kn_kreditvolumen_fw_kredite, 
Round(kn.kn_kreditvolumen_akkreditive*[GBR_Quote],0) AS kn_kreditvolumen_akkreditive, 
Round(kn.kn_kreditvolumen_beteiligung*[GBR_Quote],0) AS kn_kreditvolumen_beteiligung, 
Round(kn.kn_kreditvolumen_so_az9*[GBR_Quote],0) AS kn_kreditvolumen_so_az9, 
Round(kn.kn_kreditvolumen_kreditkarten*[GBR_Quote],0) AS kn_kreditvolumen_kreditkarten, 
Round(kn.kn_kreditvolumen_az2*[GBR_Quote],0) AS KN_Kreditvolumen_az2, 
Round(kn.kn_passiv_az2_3_4_9*[GBR_Quote],0) AS kn_passiv_az2_3_4_9, 
Round(kn.kn_passiv_depot*[GBR_Quote],0) AS kn_passiv_depot, 
Round(kn.kn_bew_rahmen_le*[GBR_Quote],0) AS kn_bew_rahmen_le, 
Round(kn.kn_labile_sicherheiten*[GBR_Quote],0) AS kn_labile_sicherheiten, 
Round(kn.kn_sicherheiten_uebereignung*[GBR_Quote],0) AS kn_sicherheiten_uebereignung, 
Round(kn.kn_zessionen*[GBR_Quote],0) AS kn_zessionen, 
Round(kn.kn_buergschaften*[GBR_Quote],0) AS kn_buergschaften, 
K.KontoNr, K.kto_kz_k_s, K.kto_geschaeftsart_depot_a, K.kto_skontronr, K.kto_kontobezeichnung_depot_a, 
K.kto_gp_key, K.kto_gp_variante, K.kto_kontentyp, K.kto_kreditart, K.kto_datum_eroeffnung, 
Round(K.kto_gesamtkreditvolumen*[GBR_Quote],0) AS kto_gesamtkreditvolumen, 
Round(k.kto_saldo*[GBR_Quote],0) AS kto_saldo, 
Round(k.kto_inanspruchnahme*[GBR_Quote],0) AS kto_inanspruchnahme, 
Round(k.kto_ueberziehung*[GBR_Quote],0) AS kto_ueberziehung, 
Round(k.kto_externer_kredit*[GBR_Quote],0) AS kto_externer_kredit, K.kto_bewilligungs_datum, 
K.kto_befristung_datum, Round(k.kto_interner_kredit*[GBR_Quote],0) AS kto_interner_kredit, 
K.kto_interner_kredit_bis, Round(k.kto_ueberziehung_genehmigt*[GBR_Quote],0) AS kto_ueberziehung_genehmigt, 
K.kto_ueberziehung_genehmigt_bis, K.kto_ueberz_hoechste_quartal_1, K.kto_ueberz_hoechste_quartal_2, 
K.kto_ueberz_hoechste_quartal_3, K.kto_ueberz_hoechste_quartal_4, K.kto_ueberziehungstage, 
K.kto_ueberziehungsdatum_ab, Round(k.kto_ueberziehung_m_ev*[GBR_Quote],0) AS kto_ueberziehung_m_ev, 
Round(k.kto_ueberziehung_o_ev*[GBR_Quote],0) AS kto_ueberziehung_o_ev, K.kto_zinssatz, K.kto_ab_merkmal, 
K.kto_kz_notleidend, K.kto_mindestr, K.kto_kreditkartennummer, 
Round(k.kto_offene_zusage*[GBR_Quote],0) AS kto_offene_zusage, 
Round(k.kto_bewilligtes_darlehen*[GBR_Quote],0) AS kto_bewilligtes_darlehen, 
Round(k.kto_tilgung_3*[GBR_Quote],0) AS kto_tilgung_3, 
Round(k.kto_tilgung_4_12*[GBR_Quote],0) AS kto_tilgung_4_12, 
Round(k.kto_tilgung_13_60*[GBR_Quote],0) AS kto_tilgung_13_60, 
Round(k.kto_tilgung_61*[GBR_Quote],0) AS kto_tilgung_61, 
Round(k.kto_verzug_entgelt*[GBR_Quote],0) AS kto_verzug_entgelt, 
Round(k.kto_verzug_verzinslich*[GBR_Quote],0) AS kto_verzug_verzinslich, 
Round(k.kto_verzug_unverzinslich*[GBR_Quote],0) AS kto_verzug_unverzinslich, 
Round(k.kto_vorauszahlung*[GBR_Quote],0) AS kto_vorauszahlung, K.kto_mahnstand, 
Round(k.kto_rueckgabenbetrag*[GBR_Quote],0) AS kto_rueckgabenbetrag, K.kto_rueckgabenanzahl, 
K.kto_aval_art, K.kto_aval_einzelbe, K.kto_aval_rahmenkontonr, K.kto_avalkred_betrag, 
Round(k.kto_meta_anteil_kreditvolumen*[GBR_Quote],0) AS kto_meta_anteil_kreditvolumen, 
Round(k.kto_meta_anteil_inanspruchnahme*[GBR_Quote],0) AS kto_meta_anteil_inanspruchnahme, 
K.kto_anzahl_sicherheiten, K.kto_summe_sicherheiten, K.kto_monatliche_Habenumsaetze, 
K.kto_habenumsatz_lfd_jahr, K.kto_habenumsatz_vorjahr, K.kto_haben_umsatz_vq_1, 
K.kto_haben_umsatz_vq_2, K.kto_haben_umsatz_vq_3, K.kto_haben_umsatz_vq_4, [_tmpVB1Bis5].kto_Verfuegung1, 
[_tmpVB1Bis5].kto_Verfuegung2, [_tmpVB1Bis5].kto_Verfuegung3, [_tmpVB1Bis5].kto_Verfuegung4, 
[_tmpVB1Bis5].kto_Verfuegung5, Round(k.kto_sperr_be*[GBR_Quote],0) AS kto_sperr_be, 
Round(k.kto_ewb_e*[GBR_Quote],0) AS kto_ewb_e, K.kto_ewb_e_datum, K.kto_ewb_e_jahr, K.kto_ewb_e_waehrung, 
K.kto_ewb_e_ermg_verf, K.kto_ewb_e_daten_ursprung, 
Round(k.kto_ewb_e_btrg_janf*[GBR_Quote],0) AS kto_ewb_e_btrg_janf, 
Round(k.kto_ewb_e_btrg_man*[GBR_Quote],0) AS kto_ewb_e_btrg_man, 
Round(k.kto_ewb_e_btrg_neu*[GBR_Quote],0) AS kto_ewb_e_btrg_neu, 
Round(k.kto_ewb_e_btrg_zugang*[GBR_Quote],0) AS kto_ewb_e_btrg_zugang, 
Round(k.kto_ewb_e_btrg_blanko*[GBR_Quote],0) AS kto_ewb_e_btrg_blanko, 
Round(k.kto_ewb_e_afls_btrg*[GBR_Quote],0) AS kto_ewb_e_afls_btrg, 
Round(k.kto_ewb_e_absg_ind_btrg*[GBR_Quote],0) AS kto_ewb_e_absg_ind_btrg, 
Round(k.kto_ewb_e_absg_dir_btrg*[GBR_Quote],0) AS kto_ewb_e_absg_dir_btrg, 
Round(k.kto_ewb_v*[GBR_Quote],0) AS kto_ewb_v, K.kto_ewb_v_datum, K.kto_ewb_v_jahr, K.kto_ewb_v_waehrung, 
K.kto_ewb_v_ermg_verf, K.kto_ewb_v_daten_ursprung, 
Round(k.kto_ewb_v_btrg_janf*[GBR_Quote],0) AS kto_ewb_v_btrg_janf, 
Round(k.kto_ewb_v_btrg_man*[GBR_Quote],0) AS kto_ewb_v_btrg_man, K.kto_ewb_v_btrg_neu, 
Round(k.kto_ewb_v_btrg_zugang*[GBR_Quote],0) AS kto_ewb_v_btrg_zugang, 
Round(k.kto_ewb_v_btrg_blanko*[GBR_Quote],0) AS kto_ewb_v_btrg_blanko, 
Round(k.kto_ewb_v_afls_btrg*[GBR_Quote],0) AS kto_ewb_v_afls_btrg, 
Round(k.kto_ewb_v_absg_ind_btrg*[GBR_Quote],0) AS kto_ewb_v_absg_ind_btrg, 
Round(k.kto_ewb_v_absg_dir_btrg*[GBR_Quote],0) AS kto_ewb_v_absg_dir_btrg,
round(k.kto_rk_betrag*[GBR_Quote],0) as kto_rk_betrag,
round(k.kto_rk_offene_zusage*[GBR_Quote],0) as kto_rk_offene_zusage,
k.kto_rk_kz, k.kto_rk_ts,kn.kn_verbund_art,kn_geko9513_gueltig_ab,
KNE.kne_gewichtete_Bonitaet, KN.KN_WARN_1210, KN.KN_WARN_1310, KN.KN_WARN_1425,
KN.KN_WARN_1435, KN.KN_WARN_1455, KN.KN_WARN_1510, KN.KN_WARN_1530, 
KN.KN_WARN_7000, KN.KN_WARN_7001, KN.KN_WARN_7002, KN.KN_WARN_7003, KN.KN_WARN_7004, 
KN.KN_WARN_7008, KN.KN_WARN_7017, KN.KN_WARN_7021, KN.KN_WARN_7029, KN.KN_WARN_7031, kn.KN_KUSYDSGV20 
FROM  _tmpAuswahl as T INNER JOIN tabKreditnehmereinheit AS KNE ON T.KNEID = KNE.KNEID INNER JOIN 
      tabKreditnehmer AS KN INNER JOIN
      tab_KNE_KN AS V ON KN.KNID = V.KNID ON KNE.KNEID = V.KNEID LEFT OUTER JOIN
      _tmpSegmente1Bis7 ON KN.KNID = _tmpSegmente1Bis7.KNID LEFT OUTER JOIN
      tabKonto AS K ON KN.KNID = K.KNID LEFT OUTER JOIN
      _tmpVB1Bis5 ON K.KontoID = _tmpVB1Bis5.KontoID
where t.BDate = @BDate and t.INR = @InstNR AND T.SPID = @SPID
)
GO

/****** Object:  UserDefinedFunction [dbo].[EinzelExportREXLS_Basis]    Script Date: 04.12.2019 18:03:14 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

ALTER FUNCTION [dbo].[EinzelExportREXLS_Basis] 
(
    @INSTNR nvarchar(3),
    @BDate datetime,
	@SPID int 
)
RETURNS TABLE
AS
RETURN
(	
SELECT KNE.INR, KNE.BLZ, KNE.Bdate AS Bestandsdatum, KNE.KNE, KNE.kne_identnr, KNE.kne_wv, 
KNE.kne_externe_kredite, KNE.kne_interne_kredite, kne_Bonitaet, kne_Ueberziehungsgenehmigungen, 
KNE.kne_wv_verbnr, KNE.kne_berater, KNE.kne_beruf_branche, KNE.kne_gesamtkreditvolumen, KNE.kne_Inanspruchnahme, 
Kne_Guthaben, kne_Realkreditvolumen_in, kne_Personalkreditvolumen_in, kne_PKV_SPG_in,   
kne_Kreditueberschreitung, KNE.KNE_Name, KNE.kne_Darlehensrueckstand, KNE.kne_Risikoklasse, 
kne_blankokreditvolumen_in, kne_Kommunalkreditvolumen_in, kne_Kompensationskreditvolumen_in, kne_freier_anteil_in, 
kne_wirt_anteil_in, kne_Realkreditvolumen_wi, kne_Personalkreditvolumen_wi, kne_blankokreditvolumen_wi, 
kne_Kommunalkreditvolumen_wi, kne_Kompensationskreditvolumen_wi, kne_freier_anteil_wi, kne_wirt_anteil_wi, 
kne_ewb_e_btrg_janf, kne_ewb_e_btrg_neu, kne_ewb_e_btrg_zugang, kne_ewb_e_afls_btrg, kne_ewb_e_absg_ind_btrg,
kne_ewb_e, kne_ewb_e_absg_dir_btrg, kne_ewb_v_btrg_janf, kne_ewb_v_btrg_neu, kne_ewb_v_btrg_zugang, kne_ewb_v_afls_btrg,
kne_ewb_v_absg_ind_btrg, kne_ewb_v, kne_ewb_v_absg_dir_btrg, kne_ewb_Veraenderung, 
KNE.kne_kreditvolumen_az01, KNE.KNE_Kreditvolumen_az2, KNE.kne_kreditvolumen_az5, 
KNE.kne_kreditvolumen_az6, KNE.kne_kreditvolumen_az7, KNE.kne_kreditvolumen_derivate, 
KNE.kne_kreditvolumen_wertpapiere, KNE.kne_kreditvolumen_fw_kredite, KNE.kne_kreditvolumen_geldhandel, 
KNE.kne_kreditvolumen_wp_leihe, KNE.kne_kreditvolumen_akkreditive, KNE.kne_kreditvolumen_beteiligung, 
KNE.kne_kreditvolumen_so_az9, KNE.kne_kreditvolumen_kommunal, KNE.kne_kreditvolumen_kreditkarten, 
KNE.kne_gesamtkreditvolumen_not, KNE.kne_meta_anteil_kreditvolumen, KNE.kne_meta_anteil_inanspruchnahme, 
KNE.kne_bewilligungsvolumen_neu, KN.KN, KN.KN_Identnr, KN.kn_name, KN.kn_berater, KN.kn_wv, KN.kn_wv_verbnr, 
KN.kn_beruf_branche, KN.kn_wirtschaftszweig, KN.kn_beruf, KN.kn_strasse, KN.kn_haus_nr, KN.kn_post_erg, 
KN.kn_postleit, KN.kn_ort, KN.kn_land, KN.kn_ortskenn, KN.kn_g_verb_s, 
CASE WHEN V.RGrund = 'KNE' THEN V.GBR_Quote ELSE NULL END AS kn_gbr_quote,
KN.kn_kundentyp, KN.kn_o_rechts, KN.kn_pers_art, KN.kn_pers_unterart, KN.kn_rechtl_s, KN.kn_kz_organ, 
KN.kn_kusydsgv, KN.kn_org_bankgrp_ausl, KN.kn_org_bankgrp_inl, KN.kn_org_einlagen_ki_kz, 
KN.kn_rating_methode, KN.kn_rating_note, KN.kn_rating_status, KN.kn_rating_ueberschreibung, 
KN.kn_rating_kennung_stp, KN.kn_rating_datum, [_tmpSegmente1Bis7].kn_kl_segment_1, 
[_tmpSegmente1Bis7].kn_kl_segment_2, [_tmpSegmente1Bis7].kn_kl_segment_3, 
[_tmpSegmente1Bis7].kn_kl_segment_4, [_tmpSegmente1Bis7].kn_kl_segment_5, 
[_tmpSegmente1Bis7].kn_kl_segment_6, [_tmpSegmente1Bis7].kn_kl_segment_7, 
KN.kn_bonitaet, KN.kn_risikoklasse, 
Round(kn.kn_saldo_umsatzlos*[GBR_Quote],0) AS kn_saldo_umsatzlos, 
KN.kn_kz_g_m_kred, 
Round(kn.kn_blankokreditvolumen_in*[GBR_Quote],0) AS kn_blankokreditvolumen_in, 
Round(kn.kn_blankokreditvolumen_wi*[GBR_Quote],0) AS kn_blankokreditvolumen_wi, 
Round(kn.kn_personalkreditvolumen_in*[GBR_Quote],0) AS kn_personalkreditvolumen_in, 
Round(kn.kn_personalkreditvolumen_wi*[GBR_Quote],0) AS kn_personalkreditvolumen_wi, 
Round(kn.kn_realkreditvolumen_in*[GBR_Quote],0) AS kn_realkreditvolumen_in, 
Round(kn.kn_realkreditvolumen_wi*[GBR_Quote],0) AS kn_realkreditvolumen_wi, 
Round(kn.kn_kommunalkreditvolumen_in*[GBR_Quote],0) AS kn_kommunalkreditvolumen_in, 
Round(kn.kn_kommunalkreditvolumen_wi*[GBR_Quote],0) AS kn_kommunalkreditvolumen_wi, 
Round(kn.kn_freier_anteil_in*[GBR_Quote],0) AS kn_freier_anteil_in, 
Round(kn.kn_freier_anteil_wi*[GBR_Quote],0) AS kn_freier_anteil_wi, 
Round(kn.KN_wirt_anteil_in*[GBR_Quote],0) AS KN_wirt_anteil_in, 
Round(kn.KN_wirt_anteil_wi*[GBR_Quote],0) AS KN_wirt_anteil_wi, 
Round(kn.kn_komp_anteil_in*[GBR_Quote],0) AS kn_komp_anteil_in, 
Round(kn.kn_komp_anteil_wi*[GBR_Quote],0) AS kn_komp_anteil_wi, 
Round(kn.kn_gesamtkreditvolumen*[GBR_Quote],0) AS kn_gesamtkreditvolumen, 
Round(kn.kn_Inanspruchnahme*[GBR_Quote],0) AS kn_Inanspruchnahme, 
Round(kn.kn_bewilligtes_darlehen_az6_neu*[GBR_Quote],0) AS kn_bewilligtes_darlehen_az6_neu, 
Round(kn.kn_ueberziehung_90*[GBR_Quote],0) AS kn_ueberziehung_90, 
Round(kn.kn_gutschriftensumme_e_v*[GBR_Quote],0) AS kn_gutschriftensumme_e_v, 
Round(kn.kn_meta_anteil_inanspruchnahme*[GBR_Quote],0) AS kn_meta_anteil_inanspruchnahme, 
Round(kn.kn_meta_anteil_kreditvolumen*[GBR_Quote],0) AS kn_meta_anteil_kreditvolumen, 
Round(kn.kn_kreditvolumen_derivate*[GBR_Quote],0) AS kn_kreditvolumen_derivate, 
Round(kn.kn_kreditvolumen_wertpapiere*[GBR_Quote],0) AS kn_kreditvolumen_wertpapiere, 
Round(kn.kn_kreditvolumen_wp_leihe*[GBR_Quote],0) AS kn_kreditvolumen_wp_leihe, 
Round(kn.kn_kreditvolumen_geldhandel*[GBR_Quote],0) AS kn_kreditvolumen_geldhandel, 
Round(kn.kn_kreditvolumen_fw_kredite*[GBR_Quote],0) AS kn_kreditvolumen_fw_kredite, 
Round(kn.kn_kreditvolumen_akkreditive*[GBR_Quote],0) AS kn_kreditvolumen_akkreditive, 
Round(kn.kn_kreditvolumen_beteiligung*[GBR_Quote],0) AS kn_kreditvolumen_beteiligung, 
Round(kn.kn_kreditvolumen_so_az9*[GBR_Quote],0) AS kn_kreditvolumen_so_az9, 
Round(kn.kn_kreditvolumen_kreditkarten*[GBR_Quote],0) AS kn_kreditvolumen_kreditkarten, 
Round(kn.kn_kreditvolumen_az2*[GBR_Quote],0) AS KN_Kreditvolumen_az2, 
Round(kn.kn_passiv_az2_3_4_9*[GBR_Quote],0) AS kn_passiv_az2_3_4_9, 
Round(kn.kn_passiv_depot*[GBR_Quote],0) AS kn_passiv_depot, 
Round(kn.kn_bew_rahmen_le*[GBR_Quote],0) AS kn_bew_rahmen_le, 
Round(kn.kn_labile_sicherheiten*[GBR_Quote],0) AS kn_labile_sicherheiten, 
Round(kn.kn_sicherheiten_uebereignung*[GBR_Quote],0) AS kn_sicherheiten_uebereignung, 
Round(kn.kn_zessionen*[GBR_Quote],0) AS kn_zessionen, 
Round(kn.kn_buergschaften*[GBR_Quote],0) AS kn_buergschaften, 
K.KontoNr, K.kto_kz_k_s, K.kto_geschaeftsart_depot_a, K.kto_skontronr, K.kto_kontobezeichnung_depot_a, 
K.kto_gp_key, K.kto_gp_variante, K.kto_kontentyp, K.kto_kreditart, K.kto_datum_eroeffnung, 
Round(K.kto_gesamtkreditvolumen*[GBR_Quote],0) AS kto_gesamtkreditvolumen, 
Round(k.kto_saldo*[GBR_Quote],0) AS kto_saldo, 
Round(k.kto_inanspruchnahme*[GBR_Quote],0) AS kto_inanspruchnahme, 
Round(k.kto_ueberziehung*[GBR_Quote],0) AS kto_ueberziehung, 
Round(k.kto_externer_kredit*[GBR_Quote],0) AS kto_externer_kredit, K.kto_bewilligungs_datum, 
K.kto_befristung_datum, Round(k.kto_interner_kredit*[GBR_Quote],0) AS kto_interner_kredit, 
K.kto_interner_kredit_bis, Round(k.kto_ueberziehung_genehmigt*[GBR_Quote],0) AS kto_ueberziehung_genehmigt, 
K.kto_ueberziehung_genehmigt_bis, K.kto_ueberz_hoechste_quartal_1, K.kto_ueberz_hoechste_quartal_2, 
K.kto_ueberz_hoechste_quartal_3, K.kto_ueberz_hoechste_quartal_4, K.kto_ueberziehungstage, 
K.kto_ueberziehungsdatum_ab, Round(k.kto_ueberziehung_m_ev*[GBR_Quote],0) AS kto_ueberziehung_m_ev, 
Round(k.kto_ueberziehung_o_ev*[GBR_Quote],0) AS kto_ueberziehung_o_ev, K.kto_zinssatz, K.kto_ab_merkmal, 
K.kto_kz_notleidend, K.kto_mindestr, K.kto_kreditkartennummer, 
Round(k.kto_offene_zusage*[GBR_Quote],0) AS kto_offene_zusage, 
Round(k.kto_bewilligtes_darlehen*[GBR_Quote],0) AS kto_bewilligtes_darlehen, 
Round(k.kto_tilgung_3*[GBR_Quote],0) AS kto_tilgung_3, 
Round(k.kto_tilgung_4_12*[GBR_Quote],0) AS kto_tilgung_4_12, 
Round(k.kto_tilgung_13_60*[GBR_Quote],0) AS kto_tilgung_13_60, 
Round(k.kto_tilgung_61*[GBR_Quote],0) AS kto_tilgung_61, 
Round(k.kto_verzug_entgelt*[GBR_Quote],0) AS kto_verzug_entgelt, 
Round(k.kto_verzug_verzinslich*[GBR_Quote],0) AS kto_verzug_verzinslich, 
Round(k.kto_verzug_unverzinslich*[GBR_Quote],0) AS kto_verzug_unverzinslich, 
Round(k.kto_vorauszahlung*[GBR_Quote],0) AS kto_vorauszahlung, K.kto_mahnstand, 
Round(k.kto_rueckgabenbetrag*[GBR_Quote],0) AS kto_rueckgabenbetrag, K.kto_rueckgabenanzahl, 
K.kto_aval_art, K.kto_aval_einzelbe, K.kto_aval_rahmenkontonr, K.kto_avalkred_betrag, 
Round(k.kto_meta_anteil_kreditvolumen*[GBR_Quote],0) AS kto_meta_anteil_kreditvolumen, 
Round(k.kto_meta_anteil_inanspruchnahme*[GBR_Quote],0) AS kto_meta_anteil_inanspruchnahme, 
K.kto_anzahl_sicherheiten, K.kto_summe_sicherheiten, K.kto_monatliche_Habenumsaetze, 
K.kto_habenumsatz_lfd_jahr, K.kto_habenumsatz_vorjahr, K.kto_haben_umsatz_vq_1, 
K.kto_haben_umsatz_vq_2, K.kto_haben_umsatz_vq_3, K.kto_haben_umsatz_vq_4, [_tmpVB1Bis5].kto_Verfuegung1, 
[_tmpVB1Bis5].kto_Verfuegung2, [_tmpVB1Bis5].kto_Verfuegung3, [_tmpVB1Bis5].kto_Verfuegung4, 
[_tmpVB1Bis5].kto_Verfuegung5, Round(k.kto_sperr_be*[GBR_Quote],0) AS kto_sperr_be, 
Round(k.kto_ewb_e*[GBR_Quote],0) AS kto_ewb_e, K.kto_ewb_e_datum, K.kto_ewb_e_jahr, K.kto_ewb_e_waehrung, 
K.kto_ewb_e_ermg_verf, K.kto_ewb_e_daten_ursprung, 
Round(k.kto_ewb_e_btrg_janf*[GBR_Quote],0) AS kto_ewb_e_btrg_janf, 
Round(k.kto_ewb_e_btrg_man*[GBR_Quote],0) AS kto_ewb_e_btrg_man, 
Round(k.kto_ewb_e_btrg_neu*[GBR_Quote],0) AS kto_ewb_e_btrg_neu, 
Round(k.kto_ewb_e_btrg_zugang*[GBR_Quote],0) AS kto_ewb_e_btrg_zugang, 
Round(k.kto_ewb_e_btrg_blanko*[GBR_Quote],0) AS kto_ewb_e_btrg_blanko, 
Round(k.kto_ewb_e_afls_btrg*[GBR_Quote],0) AS kto_ewb_e_afls_btrg, 
Round(k.kto_ewb_e_absg_ind_btrg*[GBR_Quote],0) AS kto_ewb_e_absg_ind_btrg, 
Round(k.kto_ewb_e_absg_dir_btrg*[GBR_Quote],0) AS kto_ewb_e_absg_dir_btrg, 
Round(k.kto_ewb_v*[GBR_Quote],0) AS kto_ewb_v, K.kto_ewb_v_datum, K.kto_ewb_v_jahr, K.kto_ewb_v_waehrung, 
K.kto_ewb_v_ermg_verf, K.kto_ewb_v_daten_ursprung, 
Round(k.kto_ewb_v_btrg_janf*[GBR_Quote],0) AS kto_ewb_v_btrg_janf, 
Round(k.kto_ewb_v_btrg_man*[GBR_Quote],0) AS kto_ewb_v_btrg_man, K.kto_ewb_v_btrg_neu, 
Round(k.kto_ewb_v_btrg_zugang*[GBR_Quote],0) AS kto_ewb_v_btrg_zugang, 
Round(k.kto_ewb_v_btrg_blanko*[GBR_Quote],0) AS kto_ewb_v_btrg_blanko, 
Round(k.kto_ewb_v_afls_btrg*[GBR_Quote],0) AS kto_ewb_v_afls_btrg, 
Round(k.kto_ewb_v_absg_ind_btrg*[GBR_Quote],0) AS kto_ewb_v_absg_ind_btrg, 
Round(k.kto_ewb_v_absg_dir_btrg*[GBR_Quote],0) AS kto_ewb_v_absg_dir_btrg,
round(k.kto_rk_betrag*[GBR_Quote],0) as kto_rk_betrag,
round(k.kto_rk_offene_zusage*[GBR_Quote],0) as kto_rk_offene_zusage,
k.kto_rk_kz, k.kto_rk_ts,kn.kn_verbund_art,kn_geko9513_gueltig_ab,
KNE.kne_gewichtete_Bonitaet, KN.KN_WARN_1210, KN.KN_WARN_1310, KN.KN_WARN_1425,
KN.KN_WARN_1435, KN.KN_WARN_1455, KN.KN_WARN_1510, KN.KN_WARN_1530, 
KN.KN_WARN_7000, KN.KN_WARN_7001, KN.KN_WARN_7002, KN.KN_WARN_7003, KN.KN_WARN_7004, 
KN.KN_WARN_7008, KN.KN_WARN_7017, KN.KN_WARN_7021, KN.KN_WARN_7029, KN.KN_WARN_7031, kn.KN_KUSYDSGV20 
FROM  _tmpAuswahl as T INNER JOIN tabKreditnehmereinheit AS KNE ON T.KNEID = KNE.KNEID INNER JOIN 
      tabKreditnehmer AS KN INNER JOIN
      tabKN_Risiko AS V ON KN.KNID = V.KNID ON KNE.KNEID = V.KNEID LEFT OUTER JOIN
      _tmpSegmente1Bis7 ON KN.KNID = _tmpSegmente1Bis7.KNID LEFT OUTER JOIN
      tabKonto AS K ON KN.KNID = K.KNID LEFT OUTER JOIN
      _tmpVB1Bis5 ON K.KontoID = _tmpVB1Bis5.KontoID
where T.SPID = @SPID and T.BDate = @BDate and t.INR = @InstNR 
)
GO

/****** Object:  StoredProcedure [dbo].[spKontenImportmitVB_Cursor]    Script Date: 05.12.2019 13:17:14 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

ALTER PROCEDURE [dbo].[spKontenImportmitVB_Cursor] 
AS
BEGIN
-- Declare the variables to store the values returned by FETCH.
DECLARE @ID as int;
DECLARE	@KNID nvarchar(24);
DECLARE @Kontonr nvarchar(10);
DECLARE @Maxvonkto_bewilligungs_datum datetime;
DECLARE @Maxvonkto_befristung_datum datetime;
DECLARE @GBRQuote float;
DECLARE @SQL nvarchar(max);
DECLARE @Konten_cursor CURSOR; 
SET @Konten_cursor = Cursor FOR
SELECT Max(I.ID) as ID, 
       RIGHT('000' + CAST(I.inr AS nvarchar(3)), 3) + CONVERT(varchar(6), I.bestandsdatum, 12) + RIGHT('000000000000000' + CAST(CAST(I.kn AS bigint) AS nvarchar(15)), 15) AS KNID, 
	   I.kontonr, I.kn_gbr_quote, Max(I.kto_bewilligungs_datum) AS Maxvonkto_bewilligungs_datum, Max(I.kto_befristung_datum) AS Maxvonkto_befristung_datum 
FROM ##Import AS I
         GROUP BY RIGHT('000' + CAST(I.inr AS nvarchar(3)), 3) + CONVERT(varchar(6), I.bestandsdatum, 12) + RIGHT('000000000000000' + CAST(CAST(I.kn AS bigint) AS nvarchar(15)), 15), 
		 I.bestandsdatum, I.kn, I.inr, I.kontonr, I.kto_skontronr, I.kto_kreditkartennummer, I.kn_gbr_quote, 
         I.kto_gp_key, I.kto_geschaeftsart_depot_a, I.kto_kontobezeichnung_depot_a, I.kto_mahnstand, 
         I.kto_gp_variante, I.kto_kontentyp, I.kto_gesamtkreditvolumen, I.kto_saldo, I.kto_inanspruchnahme, 
         I.kto_ueberziehung, I.kto_externer_kredit, I.kto_interner_kredit, I.kto_interner_kredit_bis, 
         I.kto_ueberziehung_genehmigt, I.kto_ueberziehung_genehmigt_bis, I.kto_ueberz_hoechste_quartal_1, 
         I.kto_ueberziehungstage, I.kto_kz_notleidend, I.kto_verzug_entgelt, I.kto_verzug_verzinslich, 
         I.kto_verzug_unverzinslich, I.kto_rueckgabenbetrag, I.kto_rueckgabenanzahl, I.kto_aval_art, 
         I.kto_aval_einzelbe, I.kto_aval_rahmenkontonr, I.kto_meta_anteil_kreditvolumen, 
         I.kto_meta_anteil_inanspruchnahme, I.kto_monatliche_Habenumsaetze, I.kto_habenumsatz_lfd_jahr, 
         I.kto_habenumsatz_vorjahr, I.kto_verfuegung1, I.kto_verfuegung2, I.kto_verfuegung3, I.kto_verfuegung4, 
         I.kto_verfuegung5, I.kto_sperr_be, I.kto_ewb_e, I.kto_ewb_e_btrg_janf, I.kto_ewb_e_afls_btrg, 
         I.kto_ewb_e_absg_ind_btrg, I.kto_ewb_e_absg_dir_btrg, I.kto_ewb_v, I.kto_ewb_v_afls_btrg, 
         I.kto_ewb_v_btrg_janf, I.kto_ewb_v_absg_ind_btrg, I.kto_ewb_v_absg_dir_btrg, I.kto_ewb_e_btrg_neu, 
         I.kto_ewb_e_btrg_zugang, I.kto_ewb_v_btrg_neu, I.kto_ewb_v_btrg_zugang, I.kto_tilgung_3, 
         I.kto_tilgung_4_12, I.kto_tilgung_13_60, I.kto_tilgung_61, I.kto_kz_k_s, I.kto_kreditart, 
         I.kto_datum_eroeffnung, I.kto_ueberz_hoechste_quartal_2, I.kto_ueberz_hoechste_quartal_3, 
         I.kto_ueberz_hoechste_quartal_4, I.kto_ueberziehungsdatum_ab, I.kto_ueberziehung_m_ev, 
         I.kto_ueberziehung_o_ev, I.kto_zinssatz, I.kto_ab_merkmal, I.kto_mindestr, I.kto_offene_zusage, 
         I.kto_bewilligtes_darlehen, I.kto_vorauszahlung, I.kto_avalkred_betrag, I.kto_anzahl_sicherheiten, 
         I.kto_summe_sicherheiten, I.kto_haben_umsatz_vq_1, I.kto_haben_umsatz_vq_2, I.kto_haben_umsatz_vq_3, 
         I.kto_haben_umsatz_vq_4, I.kto_ewb_e_datum, I.kto_ewb_e_jahr, I.kto_ewb_e_waehrung, I.kto_ewb_e_ermg_verf, 
         I.kto_ewb_e_daten_ursprung, I.kto_ewb_e_btrg_man, I.kto_ewb_e_btrg_blanko, I.kto_ewb_v_datum, I.kto_ewb_v_jahr, 
         I.kto_ewb_v_waehrung, I.kto_ewb_v_ermg_verf, I.kto_ewb_v_daten_ursprung, I.kto_ewb_v_btrg_man, I.kto_ewb_v_btrg_blanko, 
         I.kto_rk_betrag, I.kto_rk_offene_zusage, I.kto_rk_kz, I.kto_rk_ts  
HAVING (((I.kontonr) Is Not Null)) AND I.kn_gbr_quote = 100
ORDER BY I.kn, I.kontonr, I.kto_skontronr, I.kn_gbr_quote

OPEN @Konten_cursor

FETCH NEXT FROM @Konten_cursor
INTO @ID, @KNID, @Kontonr, @GBRQuote, @Maxvonkto_bewilligungs_datum, @Maxvonkto_befristung_datum

-- Check @@FETCH_STATUS to see if there are any more rows to fetch.
WHILE @@FETCH_STATUS = 0
BEGIN
   BEGIN TRY
     SET @GBRQuote = @GBRQuote / 100
	 EXEC spKontenImportmitVB  @ID, @KNID, @Maxvonkto_bewilligungs_datum , @Maxvonkto_befristung_datum, @GBRQuote
   END TRY
   BEGIN CATCH
     Delete from ##import where ID = @ID
   END CATCH
   -- This is executed as long as the previous fetch succeeds.
	FETCH NEXT FROM @Konten_cursor
	INTO @ID, @KNID, @Kontonr, @GBRQuote, @Maxvonkto_bewilligungs_datum, @Maxvonkto_befristung_datum

END
CLOSE @Konten_cursor
DEALLOCATE @Konten_cursor
-- Jetzt alle Konten lschen, die eine Verfgungsbeschrnkung haben und eine GBR_Quote von 100,
-- da vorher alle verarbeitet wurden, diese Konten aber in der Importtabelle mehrfach vorkommen knnen.
Delete from ##Import where kto_verfuegung1 is not null and kto_verfuegung1 <> '' and kto_verfuegung1 <> '00' and kn_gbr_quote = 100;
Delete from ##Import where kto_verfuegung2 is not null and kto_verfuegung2 <> '' and kto_verfuegung2 <> '00' and kn_gbr_quote = 100;
Delete from ##Import where kto_verfuegung3 is not null and kto_verfuegung3 <> '' and kto_verfuegung3 <> '00' and kn_gbr_quote = 100;
Delete from ##Import where kto_verfuegung4 is not null and kto_verfuegung4 <> '' and kto_verfuegung4 <> '00' and kn_gbr_quote = 100;
Delete from ##Import where kto_verfuegung5 is not null and kto_verfuegung5 <> '' and kto_verfuegung5 <> '00' and kn_gbr_quote = 100;
END
GO

/****** Object:  StoredProcedure [dbo].[spSucheDuplikateKonten]    Script Date: 05.12.2019 19:21:10 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

Create PROCEDURE [dbo].[spBereinigeDuplikateKonten]
AS
BEGIN
-- Sucht und bereinigt doppelt angelegte Konten, die durch einen fehlenden Index in der Tabelle tabKonten entstanden sind
SET NOCOUNT ON;
Declare @Konten TABLE
(
KontoID int not null,
Kontonr nvarchar(10) NULL,
KNID nvarchar(24),
kto_skontronr nvarchar(50),
kto_kreditkartennummer nvarchar(50),
kto_gesamtkreditvolumen float
)

Declare @MaxKontoID TABLE
(
KontoID int not null
)

-- Liest alle mehrfach vorkommenden Konten mit den zugehrigen IDs in die Tabelle @Konten ein
INSERT INTO @Konten 
SELECT  K.KontoID, K.KontoNr, K.knid, k.kto_skontronr,k.kto_kreditkartennummer, kto_gesamtkreditvolumen
FROM tabKonto AS K
WHERE (((K.[KontoNr]) In (SELECT [KontoNr] FROM [tabKonto] As Tmp GROUP BY [KontoNr],[KNID],[Bdate],[INR],[kto_skontronr],[kto_kreditkartennummer],
[kto_gesamtkreditvolumen] HAVING Count(*)>1  And [KNID] = K.[KNID] And [Bdate] = K.[Bdate] And [INR] = K.[INR] And isnull([kto_skontronr],'') = isnull(K.[kto_skontronr],'')
 And isnull(kto_kreditkartennummer,'') = isnull(K.kto_kreditkartennummer,'') And [kto_gesamtkreditvolumen] = K.[kto_gesamtkreditvolumen])))
ORDER BY K.[KontoNr], K.[KNID], K.[Bdate], K.[INR], K.[kto_skontronr], K.[kto_kreditkartennummer], K.[kto_gesamtkreditvolumen];

Select * from @Konten;

-- Liest jeweils die hchste KontenID pro Kontonr in die Tabelle @MaxKontoID ein
INSERT INTO @MaxKontoID 
SELECT Max(KontoID) FROM @Konten group by Kontonr, KNID;

Select * from @MaxKontoID;

-- Lscht aus der Tabelle @Konten die jeweils hchste KontenID, damit diese in der Kontentabelle bestehen bleibt, denn...
DELETE FROM @Konten 
FROM            @MaxKontoID as M INNER JOIN
                         @Konten as K ON M.KontoID = K.KontoID;

Select * from @Konten;

-- hier werden alle anderen Konten gelscht, die noch einen Eintrag in der Tabelle @Konten haben
DELETE FROM tabKonto
FROM            @Konten as M INNER JOIN
                         tabKonto ON M.KontoID = tabKonto.KontoID

SET ANSI_PADDING ON

/****** Object:  Index [IX_Konto]    Script Date: 05.12.2019 18:34:15 ******/
IF NOT EXISTS (SELECT * FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[tabKonto]') AND name = N'IX_Konto')
Begin
CREATE UNIQUE NONCLUSTERED INDEX [IX_Konto] ON [dbo].[tabKonto]
(
	[KontoNr] ASC,
	[KNID] ASC,
	[Bdate] ASC,
	[INR] ASC,
	[kto_skontronr] ASC,
	[kto_kreditkartennummer] ASC,
	[kto_gesamtkreditvolumen] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
END 

DECLARE	@INR nvarchar(3);
DECLARE @BDate Datetime;
DECLARE @Bestands_cursor CURSOR; 
SET @Bestands_cursor = Cursor FOR
SELECT INr, Bdate from tabBestand

OPEN @Bestands_cursor

FETCH NEXT FROM @Bestands_cursor
INTO @INR, @BDate

-- Check @@FETCH_STATUS to see if there are any more rows to fetch.
WHILE @@FETCH_STATUS = 0
BEGIN
   BEGIN TRY
	EXEC spKNE_KTO_SummenWerte_aktualisieren @INR, @BDate
	EXEC spKNE_KN_SummenWerte_aktualisieren  @INR, @BDate
	EXEC spKN_KTO_SummenWerte_aktualisieren  @INR, @BDate
	EXEC spKNE_PersonalkreditInAn_SPG_Aktualisieren  @INR, @BDate
	EXEC spGuthabenKNE  @INR, @BDate
	EXEC spGuthabenKN  @INR, @BDate
   END TRY
   BEGIN CATCH
   END CATCH
   -- This is executed as long as the previous fetch succeeds.
	FETCH NEXT FROM @Bestands_cursor
INTO @INR, @BDate

END
CLOSE @Bestands_cursor
DEALLOCATE @Bestands_cursor

END
GO


/****** Object:  StoredProcedure [dbo].[spSucheDuplikateKonten]    Script Date: 05.12.2019 19:30:05 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [dbo].[spSucheDuplikateKonten]
AS
BEGIN
-- SET NOCOUNT ON added to prevent extra result sets from
-- interfering with SELECT statements.
SELECT  K.KontoID, K.KontoNr, K.knid, k.kto_skontronr,k.kto_kreditkartennummer, kto_gesamtkreditvolumen
FROM tabKonto AS K
WHERE (((K.[KontoNr]) In (SELECT [KontoNr] FROM [tabKonto] As Tmp GROUP BY [KontoNr],[KNID],[Bdate],[INR],[kto_skontronr],[kto_kreditkartennummer],
[kto_gesamtkreditvolumen] HAVING Count(*)>1  And [KNID] = K.[KNID] And [Bdate] = K.[Bdate] And [INR] = K.[INR] And isnull([kto_skontronr],'') = isnull(K.[kto_skontronr],'')
 And isnull(kto_kreditkartennummer,'') = isnull(K.kto_kreditkartennummer,'') And [kto_gesamtkreditvolumen] = K.[kto_gesamtkreditvolumen])))
ORDER BY K.[KontoNr], K.[KNID], K.[Bdate], K.[INR], K.[kto_skontronr], K.[kto_kreditkartennummer], K.[kto_gesamtkreditvolumen]
END
GO

Create PROCEDURE [dbo].[spIndexVorhanden]
(
@Tabellenname nvarchar(400),
@Indexname nvarchar(400)
)
AS
BEGIN
-- SET NOCOUNT ON added to prevent extra result sets from
-- interfering with SELECT statements.
IF  EXISTS (SELECT * FROM sys.indexes WHERE object_id = OBJECT_ID(@Tabellenname) AND name = @indexname)
Select 'Ja' 
ELSE
Select 'Nein'

END
GO








Update _tabVersion set DBVersion = '7.91', DBDate = '12.12.2019'
GO








